These options may be provided when registering a Transition Hook (such as `onStart`)

### Hierarchy

- HookRegOptions

## Index

### Properties

- bind
- invokeLimit
- priority

## Properties

bind: any

Specifies what `this` is bound to during hook invocation.

Specifies what `this` is bound to during hook invocation.

- Defined in transition/interface.ts:274

invokeLimit: number

Limits the number of times that the hook will be invoked. Once the hook has been invoked this many times, it is automatically deregistered.

Limits the number of times that the hook will be invoked. Once the hook has been invoked this many times, it is automatically deregistered.

- Defined in transition/interface.ts:280

priority: number

Sets the priority of the registered hook

Sets the priority of the registered hook

Hooks of the same type (onBefore, onStart, etc) are invoked in priority order. A hook with a higher priority is invoked before a hook with a lower priority.

The default hook priority is 0

- Defined in transition/interface.ts:269

Generated using TypeDoc